#include <libint2.h>
#include <HRRPart0bra0ket0dd.h>
#include <HRRPart0bra0ket0df.h>
#include <HRRPart0bra0ket0dg.h>
#include <HRRPart0bra0ket0dh.h>
#include <HRRPart0bra0ket0di.h>
#include <HRRPart0bra0ket0dp.h>
#include <HRRPart0bra0ket0fd.h>
#include <HRRPart0bra0ket0ff.h>
#include <HRRPart0bra0ket0fg.h>
#include <HRRPart0bra0ket0fh.h>
#include <HRRPart0bra0ket0fp.h>
#include <HRRPart0bra0ket0gd.h>
#include <HRRPart0bra0ket0gf.h>
#include <HRRPart0bra0ket0gg.h>
#include <HRRPart0bra0ket0gp.h>
#include <HRRPart0bra0ket0hd.h>
#include <HRRPart0bra0ket0hf.h>
#include <HRRPart0bra0ket0hp.h>
#include <HRRPart0bra0ket0id.h>
#include <HRRPart0bra0ket0ip.h>
#include <HRRPart0bra0ket0kp.h>
#include <_elecpot_D_I_prereq.h>

#ifdef __cplusplus
extern "C" {
#endif
void _elecpot_D_I(const Libint_t* inteval) {

_libint2_static_api_bzero_short_(inteval->stack+0*1,161)
const int contrdepth = inteval->contrdepth;
#ifdef __INTEL_COMPILER
#pragma ivdep
#endif
for(int c = 0; c<contrdepth; c++) {
_elecpot_D_I_prereq(inteval+c, inteval->stack);
}

LIBINT2_REALTYPE*const  stack = inteval->stack;
{
const int hsi = 0;
{
const int lsi = 0;
{
const int vi = 0;
HRRPart0bra0ket0fp(inteval, &(inteval->stack[((hsi*30+329)*1+lsi)*1]), &(inteval->stack[((hsi*15+130)*1+lsi)*1]), &(inteval->stack[((hsi*10+145)*1+lsi)*1]),1);
HRRPart0bra0ket0gp(inteval, &(inteval->stack[((hsi*45+359)*1+lsi)*1]), &(inteval->stack[((hsi*21+109)*1+lsi)*1]), &(inteval->stack[((hsi*15+130)*1+lsi)*1]),1);
HRRPart0bra0ket0fd(inteval, &(inteval->stack[((hsi*60+404)*1+lsi)*1]), &(inteval->stack[((hsi*45+359)*1+lsi)*1]), &(inteval->stack[((hsi*30+329)*1+lsi)*1]),1);
HRRPart0bra0ket0hp(inteval, &(inteval->stack[((hsi*63+464)*1+lsi)*1]), &(inteval->stack[((hsi*28+81)*1+lsi)*1]), &(inteval->stack[((hsi*21+109)*1+lsi)*1]),1);
HRRPart0bra0ket0gd(inteval, &(inteval->stack[((hsi*90+527)*1+lsi)*1]), &(inteval->stack[((hsi*63+464)*1+lsi)*1]), &(inteval->stack[((hsi*45+359)*1+lsi)*1]),1);
HRRPart0bra0ket0ff(inteval, &(inteval->stack[((hsi*100+617)*1+lsi)*1]), &(inteval->stack[((hsi*90+527)*1+lsi)*1]), &(inteval->stack[((hsi*60+404)*1+lsi)*1]),1);
HRRPart0bra0ket0ip(inteval, &(inteval->stack[((hsi*84+717)*1+lsi)*1]), &(inteval->stack[((hsi*36+45)*1+lsi)*1]), &(inteval->stack[((hsi*28+81)*1+lsi)*1]),1);
HRRPart0bra0ket0hd(inteval, &(inteval->stack[((hsi*126+801)*1+lsi)*1]), &(inteval->stack[((hsi*84+717)*1+lsi)*1]), &(inteval->stack[((hsi*63+464)*1+lsi)*1]),1);
HRRPart0bra0ket0gf(inteval, &(inteval->stack[((hsi*150+927)*1+lsi)*1]), &(inteval->stack[((hsi*126+801)*1+lsi)*1]), &(inteval->stack[((hsi*90+527)*1+lsi)*1]),1);
HRRPart0bra0ket0fg(inteval, &(inteval->stack[((hsi*150+464)*1+lsi)*1]), &(inteval->stack[((hsi*150+927)*1+lsi)*1]), &(inteval->stack[((hsi*100+617)*1+lsi)*1]),1);
HRRPart0bra0ket0dp(inteval, &(inteval->stack[((hsi*18+81)*1+lsi)*1]), &(inteval->stack[((hsi*10+145)*1+lsi)*1]), &(inteval->stack[((hsi*6+155)*1+lsi)*1]),1);
HRRPart0bra0ket0dd(inteval, &(inteval->stack[((hsi*36+99)*1+lsi)*1]), &(inteval->stack[((hsi*30+329)*1+lsi)*1]), &(inteval->stack[((hsi*18+81)*1+lsi)*1]),1);
HRRPart0bra0ket0df(inteval, &(inteval->stack[((hsi*60+329)*1+lsi)*1]), &(inteval->stack[((hsi*60+404)*1+lsi)*1]), &(inteval->stack[((hsi*36+99)*1+lsi)*1]),1);
HRRPart0bra0ket0dg(inteval, &(inteval->stack[((hsi*90+1077)*1+lsi)*1]), &(inteval->stack[((hsi*100+617)*1+lsi)*1]), &(inteval->stack[((hsi*60+329)*1+lsi)*1]),1);
HRRPart0bra0ket0dh(inteval, &(inteval->stack[((hsi*126+329)*1+lsi)*1]), &(inteval->stack[((hsi*150+464)*1+lsi)*1]), &(inteval->stack[((hsi*90+1077)*1+lsi)*1]),1);
HRRPart0bra0ket0kp(inteval, &(inteval->stack[((hsi*108+1077)*1+lsi)*1]), &(inteval->stack[((hsi*45+0)*1+lsi)*1]), &(inteval->stack[((hsi*36+45)*1+lsi)*1]),1);
HRRPart0bra0ket0id(inteval, &(inteval->stack[((hsi*168+1185)*1+lsi)*1]), &(inteval->stack[((hsi*108+1077)*1+lsi)*1]), &(inteval->stack[((hsi*84+717)*1+lsi)*1]),1);
HRRPart0bra0ket0hf(inteval, &(inteval->stack[((hsi*210+1353)*1+lsi)*1]), &(inteval->stack[((hsi*168+1185)*1+lsi)*1]), &(inteval->stack[((hsi*126+801)*1+lsi)*1]),1);
HRRPart0bra0ket0gg(inteval, &(inteval->stack[((hsi*225+614)*1+lsi)*1]), &(inteval->stack[((hsi*210+1353)*1+lsi)*1]), &(inteval->stack[((hsi*150+927)*1+lsi)*1]),1);
HRRPart0bra0ket0fh(inteval, &(inteval->stack[((hsi*210+839)*1+lsi)*1]), &(inteval->stack[((hsi*225+614)*1+lsi)*1]), &(inteval->stack[((hsi*150+464)*1+lsi)*1]),1);
HRRPart0bra0ket0di(inteval, &(inteval->stack[((hsi*168+161)*1+lsi)*1]), &(inteval->stack[((hsi*210+839)*1+lsi)*1]), &(inteval->stack[((hsi*126+329)*1+lsi)*1]),1);
}
}
}
const int hsi = 0;
const int lsi = 0;
const int vi = 0;
inteval->targets[0] = &(inteval->stack[((hsi*168+161)*1+lsi)*1]);
/** Number of flops = 0 */
}

#ifdef __cplusplus
};
#endif
